> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Extension

> Extend a video by generating continuation content. This is an asynchronous operation that returns a jobId for querying results.

This is the video extension endpoint of the **Grok Video API**, which extends a video by generating continuation content.

If you want to see the full API catalog, recommended integration workflow and related capabilities, please read [Grok Video API Overview](/api/en/grok).


## OpenAPI

````yaml openapi/en/grok.json POST /grok/extensions
openapi: 3.1.0
info:
  title: Grok Video DOCS
  version: 1.0.0
  description: Grok Video API provides efficient video analysis and generation capabilities
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/extensions:
    post:
      description: >-
        Extend a video by generating continuation content. This is an
        asynchronous operation that returns a jobId for querying results.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExtensionRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    ExtensionRequest:
      type: object
      properties:
        prompt:
          type: string
          description: Prompt describing what should happen next in the video.
        video:
          type: object
          description: >-
            Video input object. Accepts a public URL, Base64-encoded data URL,
            or file_id. Maximum input video duration is 15 seconds.
          properties:
            url:
              type: string
              description: Public URL or base64-encoded data URL of the video.
        duration:
          type: integer
          description: >-
            Duration of the extension segment to generate in seconds (1-10).
            Defaults to 6 seconds if not specified.
          default: 6
          minimum: 1
          maximum: 10
        model:
          type: string
          description: Model to be used.
          enum:
            - grok-imagine-video
          default: grok-imagine-video
          example: grok-imagine-video
      required:
        - prompt
        - video
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````